Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface ExpressionVisitor

    @Extension
    public interface ExpressionVisitor

Visitor with `visit` methods to be called by `Expression.accept(...)`.

Please note that a generic visit( Expression ) entry point has not been provided, although Expression forms a heirarchy for your convience it is not an open heirarchy. If you need to extend this system please make use of {code Function}, this will allow extention while remaining standards complient.

It is very common for a single instnace to implement both ExpressionVisitor and FilterVisitor.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `visit(Add expression, Object extraData)`
`Object` | `visit(Divide expression, Object extraData)`
`Object` | `visit(Function expression, Object extraData)`
`Object` | `visit(Literal expression, Object extraData)`
`Object` | `visit(Multiply expression, Object extraData)`
`Object` | `visit(NilExpression expression, Object extraData)` Used to visit a Expression.NIL, also called for `null` where an expression is expected.
`Object` | `visit(PropertyName expression, Object extraData)`
`Object` | `visit(Subtract expression, Object extraData)`

Method Detail

### visit

    Object visit(NilExpression expression,
                 Object extraData)

  Used to visit a Expression.NIL, also called for `null` where an expression is expected.

  This is particularly useful when doing data transformations, as an example when using a StyleSymbolizer Expression.NIL can be used to represent the default stroke color.

  Parameters:
    `extraData` -
  Returns:
    implementation specific

### visit

    Object visit(Add expression,
                 Object extraData)

### visit

    Object visit(Divide expression,
                 Object extraData)

### visit

    Object visit(Function expression,
                 Object extraData)

### visit

    Object visit(Literal expression,
                 Object extraData)

### visit

    Object visit(Multiply expression,
                 Object extraData)

### visit

    Object visit(PropertyName expression,
                 Object extraData)

### visit

    Object visit(Subtract expression,
                 Object extraData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.